# Include appropriate message catalog file according to locale

if {$Locale=="ja_jp"} {
    if {$Platform=="unix"} {
        if {$OS=="Darwin"} {
            encoding system euc-jp
            source $sourcedir/catalog_jp_euc.tcl
        } else {
            source $sourcedir/catalog_jp_euc.tcl
        }
    } else {
        encoding system /tcl/encoding/cp932
        source $sourcedir/catalog_jp_sjis.tcl
    }
} else {
    source $sourcedir/catalog_en.tcl
}

